Loading...
Searching...
No Matches
casacore::LSQTraits< T > Class Template Reference
scimath package (libcasa_scimath) » Fitting_module

Traits for numeric classes used. More...

`#include <LSQTraits.h>`

## Public Types

enum | { size }
| Number of basic numeric type elements. More...
typedef T | value_type
| Defining type.
typedef Char | base
| Numeric base type.
typedef Char | num_type
| Numeric type.

## Detailed Description

template<class T>
class casacore::LSQTraits< T >

Traits for numeric classes used.

Definition at line 95 of file LSQTraits.h.

## Member Typedef Documentation

## base

template<class T>

typedef Char casacore::LSQTraits< T >::base

Numeric base type.

Definition at line 100 of file LSQTraits.h.

## num_type

template<class T>

typedef Char casacore::LSQTraits< T >::num_type

Numeric type.

Definition at line 102 of file LSQTraits.h.

## value_type

template<class T>

typedef T casacore::LSQTraits< T >::value_type

Defining type.

Definition at line 98 of file LSQTraits.h.

## Member Enumeration Documentation

## anonymous enum

template<class T>

anonymous enum

Number of basic numeric type elements.

Enumerator
size |

Definition at line 104 of file LSQTraits.h.

The documentation for this class was generated from the following file:

- scimath/Fitting/LSQTraits.h